Update a project
curl --request PATCH \
--url https://api-staging.pixwel.com/api/projects/{slug} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"name": "<string>",
"importName": "<string>",
"slug": "<string>",
"filePrefix": "<string>",
"archived": true,
"verified": true,
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"studio": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"$permissions": {
"canAutosub": true,
"sources": {
"requests": {
"languages": "<unknown>",
"countries": "<unknown>"
},
"autosubs": {
"languages": "<unknown>",
"countries": "<unknown>"
}
},
"access": [
"<string>"
],
"tags": {
"online": true,
"broadcast": true,
"dcp": true,
"cmyk": true,
"rgb": true
},
"ingest": [
"<string>"
]
}
}
'import requests
url = "https://api-staging.pixwel.com/api/projects/{slug}"
payload = {
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"name": "<string>",
"importName": "<string>",
"slug": "<string>",
"filePrefix": "<string>",
"archived": True,
"verified": True,
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"studio": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"$permissions": {
"canAutosub": True,
"sources": {
"requests": {
"languages": "<unknown>",
"countries": "<unknown>"
},
"autosubs": {
"languages": "<unknown>",
"countries": "<unknown>"
}
},
"access": ["<string>"],
"tags": {
"online": True,
"broadcast": True,
"dcp": True,
"cmyk": True,
"rgb": True
},
"ingest": ["<string>"]
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '507f1f77bcf86cd799439011',
studio: '507f1f77bcf86cd799439011',
logo: '507f1f77bcf86cd799439011',
name: '<string>',
importName: '<string>',
slug: '<string>',
filePrefix: '<string>',
archived: true,
verified: true,
created: 123,
$flags: '<unknown>',
$links: {
self: '//example.com/path/to/object',
studio: '//example.com/path/to/object',
logo: '//example.com/path/to/object'
},
$permissions: {
canAutosub: true,
sources: {
requests: {languages: '<unknown>', countries: '<unknown>'},
autosubs: {languages: '<unknown>', countries: '<unknown>'}
},
access: ['<string>'],
tags: {online: true, broadcast: true, dcp: true, cmyk: true, rgb: true},
ingest: ['<string>']
}
})
};
fetch('https://api-staging.pixwel.com/api/projects/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"name": "<string>",
"importName": "<string>",
"slug": "<string>",
"filePrefix": "<string>",
"archived": true,
"verified": true,
"created": 123,
"$flags": "<unknown>",
"$links": {
"self": "//example.com/path/to/object",
"studio": "//example.com/path/to/object",
"logo": "//example.com/path/to/object"
},
"$permissions": {
"canAutosub": true,
"sources": {
"requests": {
"languages": "<unknown>",
"countries": "<unknown>"
},
"autosubs": {
"languages": "<unknown>",
"countries": "<unknown>"
}
},
"access": [
"<string>"
],
"tags": {
"online": true,
"broadcast": true,
"dcp": true,
"cmyk": true,
"rgb": true
},
"ingest": [
"<string>"
]
}
}Projects
Update a project
PATCH
/
projects
/
{slug}
Update a project
Authorizations
BasicAuthBearerAuth
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Body
application/json
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Example:
"507f1f77bcf86cd799439011"
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I